##
##  perl-cache.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                       5.22
%define       V_cache                      2.04
%define       V_cache_cache                1.06
%define       V_cache_simple_timedexpiry   0.27

#   package information
Name:         perl-cache
Summary:      Perl Modules for Caching
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20150603

#   list of sources
Source0:      http://www.cpan.org/authors/id/C/CL/CLEISHMAN/Cache-%{V_cache}.tar.gz
Source1:      http://www.cpan.org/authors/id/J/JS/JSWARTZ/Cache-Cache-%{V_cache_cache}.tar.gz
Source2:      http://www.cpan.org/authors/id/J/JE/JESSE/Cache-Simple-TimedExpiry-%{V_cache_simple_timedexpiry}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20100101, perl >= %{V_perl}
BuildPreReq:  perl-crypto, perl-sys
PreReq:       perl-crypto, perl-sys

%description
    Perl modules for caching.
    - Cache (%{V_cache})
    - Cache::Cache (%{V_cache_cache})
    - Cache::Simple::TimedExpiry (%{V_cache_simple_timedexpiry})

%track
    prog perl-cache:Cache = {
        version   = %{V_cache}
        url       = http://www.cpan.org/authors/id/C/CL/CLEISHMAN/
        regex     = Cache-(__VER__)\.tar\.gz
    }
    prog perl-cache:Cache-Cache = {
        version   = %{V_cache_cache}
        url       = http://www.cpan.org/authors/id/J/JS/JSWARTZ/
        regex     = Cache-Cache-(__VER__)\.tar\.gz
    }
    prog perl-cache:Cache-Simple-TimedExpiry = {
        version   = %{V_cache_simple_timedexpiry}
        url       = http://www.cpan.org/authors/id/J/JE/JESSE/
        regex     = Cache-Simple-TimedExpiry-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

